#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include <EditChar.hpp>

#pragma package(smart_init)
#pragma link "Chart"
#pragma link "TeEngine"
#pragma link "TeeProcs"
#pragma link "Series"
#pragma link "Chart"
#pragma link "Series"
#pragma link "TeEngine"
#pragma link "TeeProcs"
#pragma link "TeeGDIPlus"
#pragma resource "*.dfm"

TForm1 *Form1;



__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
    Chart1->BottomAxis->DateTimeFormat = "yyyy-mm-dd hh:nn";
    Series1->Clear();
    Series1->AddXY(TDateTime(2011, 2, 1), 11, "");
    Series1->AddXY(TDateTime(2013, 8, 1), 11, "");

    Edit1Change(0);
    FormResize(0);
}



void __fastcall TForm1::Edit1Change(TObject *Sender)
{
    int bottomAsixLen = Edit1->Text.ToIntDef(0);
    if (bottomAsixLen > 0)
    {
        TDateTime end = TDateTime(2013, 8, 1);
        TDateTime begin = end - TTimeSpan::FromMinutes(bottomAsixLen);
        Chart1->BottomAxis->SetMinMax(begin, end);
    }
}



void __fastcall TForm1::SpeedButton1Click(TObject *Sender)
{
    Edit1->Text = Edit1->Text.ToIntDef(0) - 1;
}



void __fastcall TForm1::FormResize(TObject *Sender)
{
    Caption = "Chart size: " + IntToStr(Chart1->Width) + "x" + IntToStr(Chart1->Height);
}


